# gdcm::Decoder Class Reference

Decoder. More...

`#include <gdcmDecoder.h>`

Inheritance diagram for gdcm::Decoder:
[legend]

List of all members.

## Public Member Functions

virtual | ~Decoder ()
virtual bool | CanDecode (TransferSyntax const &) const =0
| Return whether this decoder support this transfer syntax (can decode it)
virtual bool | Decode (DataElement const &is_, DataElement &os)
| Decode.

## Protected Member Functions

virtual bool | Decode (std::istream &is_, std::ostream &os)

## Detailed Description

Decoder.

## Constructor & Destructor Documentation

virtual gdcm::Decoder::~Decoder | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool gdcm::Decoder::CanDecode | ( | TransferSyntax const & |  | ) | const`[pure virtual]`

Return whether this decoder support this transfer syntax (can decode it)

Implemented in gdcm::AudioCodec, gdcm::ImageCodec, gdcm::JPEG2000Codec, gdcm::JPEGCodec, gdcm::JPEGLSCodec, gdcm::KAKADUCodec, gdcm::PDFCodec, gdcm::PNMCodec, gdcm::PVRGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

virtual bool gdcm::Decoder::Decode | ( | std::istream & | is_,
|  | std::ostream & | os
| ) |  | `[inline, protected, virtual]`

Reimplemented in gdcm::DeltaEncodingCodec, gdcm::ImageCodec, gdcm::JPEG12Codec, gdcm::JPEG16Codec, gdcm::JPEG2000Codec, gdcm::JPEG8Codec, gdcm::JPEGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

virtual bool gdcm::Decoder::Decode | ( | DataElement const & | is_,
|  | DataElement & | os
| ) |  | `[inline, virtual]`

Decode.

Reimplemented in gdcm::AudioCodec, gdcm::DeltaEncodingCodec, gdcm::ImageCodec, gdcm::JPEG2000Codec, gdcm::JPEGCodec, gdcm::JPEGLSCodec, gdcm::KAKADUCodec, gdcm::PDFCodec, gdcm::PVRGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

The documentation for this class was generated from the following file:

- gdcmDecoder.h